ru.bitel.bgbilling.modules.yamoney.common.service

## Interface YamoneyService

-     public interface YamoneyService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Transaction>` | `payList(java.lang.String f_groups, Period f_period, java.lang.String f_contract, int f_cid)` Лог платежей.
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, Period period, java.lang.String[] sort, Page page)`

- - ### Method Detail

    - #### payList

          java.util.List<Transaction> payList(java.lang.String f_groups,
                                              Period f_period,
                                              java.lang.String f_contract,
                                              int f_cid)
                                       throws ru.bitel.bgbilling.common.BGException

      Лог платежей. Вызывается как из общей админки (тогда с фильтрами - groups, contract, period) так и из договора из свойств (тогда там только period и плюс cid установлен).
      Parameters:
        `f_groups` - список id групп по которым поиск (может не быть)
        `f_period` - период (может не быть)
        `f_contract` - текстовое наименование договора, искать по %LIKE% (может не быть)
        `f_cid` - договор, может быть неустановлен, если запрашиваем не из договора если установлен, то искать надо только по нему, остальные фильтры f_groups+f_contract можно игнорировать, хотя они тогда стопудова тоже не установлены
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`